Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg.custom
Interface CustomFieldManager

    public interface CustomFieldManager

the manager used to manage all custom fields

Since:
  version 9.1

Method Summary
`void` | `createField(java.lang.String name, java.lang.String desc, boolean enabled)` Creates a field.
`void` | `deleteField(java.lang.String name)` Deletes a field according to name.
`void` | `deleteFields(java.util.List names)` Deletes fields according to names.
`java.util.Vector` | `getAllFields()` Gets all customized fields.
`CustomField` | `getField(java.lang.String name)` Gets a specific field.
`void` | `updateField(java.lang.String orgName, java.lang.String newName, java.lang.String desc, boolean enabled)` Updates a field to newest properties.

Method Detail

### getAllFields

    java.util.Vector getAllFields()

  Gets all customized fields.

  Returns:
    all custom fields. The vector contains `CustomField` objects.
  See Also:
    `CustomField}`

### getField

    CustomField getField(java.lang.String name)

  Gets a specific field.

  Parameters:
    `name` - the field name
  Returns:
    `CustomField` object according to name.
  See Also:
    `CustomField}`

### createField

    void createField(java.lang.String name,
                     java.lang.String desc,
                     boolean enabled)
                     throws CustomFieldManageException

  Creates a field.

  Parameters:
    `name` - the field name.
    `desc` - the field description.
    `enabled` - whether the field is enabled.
  Throws:
    `CustomFieldManageException` - throw the exception if create failed.

### deleteField

    void deleteField(java.lang.String name)
                     throws CustomFieldManageException

  Deletes a field according to name.

  Parameters:
    `name` - the field name.
  Throws:
    `CustomFieldManageException` - throw the exception if delete failed.

### deleteFields

    void deleteFields(java.util.List names)
                      throws CustomFieldManageException

  Deletes fields according to names.

  Parameters:
    `names` - the field name list, element is a name of String type.
  Throws:
    `CustomFieldManageException` - throw the exception if delete failed.

### updateField

    void updateField(java.lang.String orgName,
                     java.lang.String newName,
                     java.lang.String desc,
                     boolean enabled)
                     throws CustomFieldManageException

  Updates a field to newest properties.

  Parameters:
    `orgName` - the original name of field.
    `newName` - the newest name of field.
    `desc` - the newest description of field.
    `enabled` - whether the field is enabled after our updating.
  Throws:
    `CustomFieldManageException` - throw the exception if update failed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD